%-------------------%
% Courbes TEB=f(C/N)%
%-------------------%
QPSK=[0.00076;0.0062;0.023;0.038;0.08]
QPSK_Multipaths=[0.05;0.055;0.071;0.084;0.12]
OFDM=[0.0007;0.006;0.023;0.037;0.064]
OFDM_Multipaths=[0.0014;0.0066;0.023;0.038;0.08]

OFDM_BCH=[0.00001;0.0001;0.0042;0.014;0.064]
OFDM_BCH_RS=[0.0000024;0.000053;0.0031;0.011;0.052]
OFDM_BCH_RS_Multipaths=[0.000055;0.003;0.011;0.053]
OFDM128_Multipaths=[0.0001;0.0029;0.011;0.054]
OFDM256_Multipaths=[0.000095;0.0028;0.011;0.054]

OFDM_Multipaths100=[0.0084;0.014;0.03;0.044;0.085]
OFDM_BCH_RS_Multipaths100=[0.000081;0.004;0.012;0.052]
OFDM128_Multipaths100=[0.00013;0.0031;0.011;0.056]
OFDM256_Multipaths100=[0.00016;0.0032;0.012;0.056]

%Display the curves
QPSK=QPSK.'
OFDM=OFDM.'
Matrix1=[QPSK;OFDM]
Matrix1=log10(Matrix1)
QPSK_Multipaths=QPSK_Multipaths.'
OFDM_Multipaths=OFDM_Multipaths.'
Matrix2=[QPSK_Multipaths;OFDM_Multipaths]
Matrix2=log10(Matrix2)

    figure(1) 
    l=[7 5 3 2 0;7 5 3 2 0].';
	subplot(2,1,1);plot(l,Matrix1.');
    set(gca,'YTickLabel',{'10^-3';'5.10^-3';'10^-2';'5.10^-2';'10^-1';'0.5'})
    ylabel('TEB')
     xlabel('C/N en dB')
    title('TEB=F(C/N) sans vanouissement de frquence')
    legend('QPSK','OFDM')
    
    subplot(2,1,2);plot(l,Matrix2.');
    set(gca,'YTickLabel',{'10^-3';'5.10^-3';'10^-2';'5.10^-2';'10^-1';'0.5'})
    ylabel('TEB')
     xlabel('C/N en dB')
    title('TEB=F(C/N) avec vanouissement d une frquence porteuse 1O% du temps')
    legend('QPSK','OFDM')
    
    %Display the curves
OFDM_BCH=OFDM_BCH.'
OFDM_BCH_RS=OFDM_BCH_RS.'
Matrix3=[OFDM;OFDM_BCH;OFDM_BCH_RS]
Matrix3=log10(Matrix3)

    figure(2) 
    l=[7 5 3 2 0;7 5 3 2 0;7 5 3 2 0].';
    plot(l,Matrix3.');
    set(gca,'YTickLabel',{'10^-6';'10^-5';'10^-4';'10^-3';'10^-2';'10^-1'})
    ylabel('TEB')
    xlabel('C/N en dB')
    title('TEB=F(C/N) influence des codes correcteurs BCH et Reed Salomon')
    legend('sans code correcteur','avec BCH(21,31)','avec RS(3,7) et BCH(21,31)')
   
        %Display the curves
    OFDM_BCH_RS_Multipaths=OFDM_BCH_RS_Multipaths.'
    OFDM128_Multipaths=OFDM128_Multipaths.'
    OFDM256_Multipaths=OFDM256_Multipaths.'
    Matrix4=[OFDM_BCH_RS_Multipaths;OFDM128_Multipaths;OFDM256_Multipaths]
    Matrix4=log10(Matrix4)
    
    OFDM_BCH_RS_Multipaths100=OFDM_BCH_RS_Multipaths100.'
    OFDM128_Multipaths100=OFDM128_Multipaths100.'
    OFDM256_Multipaths100=OFDM256_Multipaths100.'
    Matrix5=[OFDM_BCH_RS_Multipaths100;OFDM128_Multipaths100;OFDM256_Multipaths100]
    Matrix5=log10(Matrix5)

    figure(4) 
    l=[5 3 2 0;5 3 2 0;5 3 2 0].';
    subplot(2,1,1);plot(l,Matrix4.');
    %set(gca,'YTickLabel',{'10^-6';'10^-5';'10^-4';'10^-3';'10^-2';'10^-1'})
    ylabel('TEB')
    xlabel('C/N en dB')
    title('TEB=F(C/N) influence du nombre de porteuses OFDM avec vanouissement d une frquence porteuse 10% du temps')
    legend('64 porteuses','128 porteuses','256 porteuses')
    
    subplot(2,1,2);plot(l,Matrix5.');
    %set(gca,'YTickLabel',{'10^-6';'10^-5';'10^-4';'10^-3';'10^-2';'10^-1'})
    ylabel('TEB')
    xlabel('C/N en dB')
    title('TEB=F(C/N) influence du nombre de porteuses OFDM avec vanouissement d une frquence porteuse 100% du temps')
    legend('64 porteuses','128 porteuses','256 porteuses')
   